rtgamma {BART} | R Documentation

## Testing truncated Gamma sampling

### Description

Truncated Gamma draws are needed for the standard deviation of the random effects Gibbs conditional.

### Usage

    rtgamma(n, shape, rate, a)

### Arguments

`n` | Number of samples.
`shape` | Sampling from a truncated Gamma where E[x]=shape/rate.
`rate` | This parameter is the inverse of the scale which is an alternative representation for the Gamma distribution.
`a` | The truncation point, i.e., a<x.

### Value

Returns `n` truncated Gamma, i.e., Gam(shape, rate)I(a, infinity).

### Author(s)

Robert McCulloch: robert.e.mcculloch@gmail.com,
Rodney Sparapani: rsparapa@mcw.edu
, Robert Gramacy: rbg@vt.edu.

### References

Gentle, J. E. (2013) Random number generation and Monte Carlo methods. Springer, New York, NY.

### Examples

    set.seed(12)
    rtgamma(1, 3, 1, 4)
    rtgamma(1, 3, 1, 4)

    a=rtgamma(10000, 10, 2, 1)
    mean(a)
    min(a)

[Package BART version 2.5 Index]